#ifndef MESH_H_
#define MESH_H_

struct vec3 {
	float x, y, z;
};

struct mesh {
	struct vec3 *vert, *norm, *tc;
	int num_verts;
};

struct mesh *load_mesh(const char *fname);
void free_mesh(struct mesh *m);

void render_mesh(struct mesh *m);

#endif	/* MESH_H_ */
